## com.lowagie.bc.asn1
Class DERIA5String

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.DERIA5String

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

    public class DERIA5String

extends DERObject
implements DERString

DER IA5String object - this is an ascii string.

Field Summary
`(package private) java.lang.String` `string`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERIA5String(byte[] string)` basic constructor - with bytes.
`DERIA5String(java.lang.String string)` basic constructor - with string.

Method Summary
`(package private) void` `encode(DEROutputStream out)`
`boolean` `equals(java.lang.Object o)`
`static DERIA5String` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an IA5 String from a tagged object.
`static DERIA5String` `getInstance(java.lang.Object obj)` return a IA5 string from the passed in object
`byte[]` `getOctets()`
`java.lang.String` `getString()`
`int` `hashCode()`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### string

    java.lang.String string

Constructor Detail

### DERIA5String

    public DERIA5String(byte[] string)

  basic constructor - with bytes.

### DERIA5String

    public DERIA5String(java.lang.String string)

  basic constructor - with string.

Method Detail

### getInstance

    public static DERIA5String getInstance(java.lang.Object obj)

  return a IA5 string from the passed in object

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERIA5String getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

  return an IA5 String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

  Specified by:
    `encode` in class `DERObject`
  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`